Subject: Templates
From: [email-masked]

13 Oct 1998 04:42:18 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: [email-masked]

I was wondering if cygwin32 b19 works with templates.  I made a real easy
template class for a list, which compiles fine on MSVC++, but throws a
bunch of errors when I try with cygnwin32.  Below are the errors that it
pops out.

In file influded from test4.cpp:10:
listarr.cpp:13: syntax error before '<'
test4.cpp: In function 'int main(...)':
test4.cpp:144: confused by earlier errors, bailing out

That is it.  The last error occurs on the last brace of the program.
Below is  snippet from the two files:  listarr.cpp test4.cpp

listarr.cpp
-----------
#include "listarr.h"

template <class LE>
List<LE>::List<LE>(int maxNumber)
{
	maxSize = maxNumber;
	element = new LE [maxSize];
	size = 0;
	cursor = -1;
}

template <class LE>
List<LE::~List<LE>()
{
	delete [] element;
}

test4.cpp
---------
#include <iostream.h>
#include "listarr.cpp"

void main()
{
	List<char> testList(8);
	char testElement;
	
	.. missing ..

	cout << "Enter element: ";
	cin >> testElement;
	testList.insert(testElement);

	.. missing ..
}

This looks like it should work fine.  I am not quite sure what the errors
are.  I don't know if cygwin32 handles template differently than MSVC++ or
what.

Thanks,
Ryan
[email-masked]

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".